ATA_SCSI_QC_NEW(9)

NAME
ata_scsi_qc_new - acquire new ata_queued_cmd reference

SYNOPSIS

struct ata_queued_cmd * ata_scsi_qc_new(struct ata_device * dev, struct scsi_cmnd * cmd);

ARGUMENTS

dev
    ATA device to which the new command is attached

cmd
    SCSI command that originated this ATA command

DESCRIPTION

Obtain a reference to an unused ata_queued_cmd structure, which is the basic libata structure representing a single ATA command sent to the hardware.

If a command was available, fill in the SCSI-specific portions of the structure with information on the current command.

LOCKING

spin_lock_irqsave(host lock)

RETURNS

Command allocated, or NULL if none available.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT